Bug 440029 - Disk Management tool
Disk Management tool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 09:39 EDT by Jóhann B. Guðmundsson
Modified: 2008-11-06 04:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-06 04:43:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2008-04-01 09:39:55 EDT
Description of problem:

Version-Release number of selected component (if applicable):

When you log in as a normal user 

And click Gnome --> Application --> System Tools --> Disk Management

 Up comes a msg box
 
 [ User mount Tool ]
 
 There are no filesystem which you
 are allowed to mount or unmount.
 Contact your administrator.

Even with system wide root privileges it asks you 
to contact your administration.

When logged in as root you apparently have the 
missing "administrator" privileges.

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:

Being asked for root password instead of being 
asked to contact the administrator..
or this menu item being hidden from the normal user account.

Additional info:
Comment 1 Matthias Clasen 2008-04-01 14:13:33 EDT
This belongs to usermode, not gnome. 
Can we please add a 

NoDisplay = true 

line to the desktop file ?
Comment 2 Miloslav Trmač 2008-04-02 23:44:05 EDT
Matthias, does this mean the correct way to do this has changed since #132559?

Would using
   NotShowIn=GNOME;
(what about KDE?) be acceptable?
Comment 3 Bug Zapper 2008-05-14 04:31:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Brennan Ashton 2008-06-07 22:37:26 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Jóhann B. Guðmundsson 2008-06-08 06:41:03 EDT
Me ? mclasen ( which set the bug to needinfo in the first place ) or mitr?

What I suggest is.

A) Replace "Administrator" with root.
B) Hide the application from the desktop.
C) Remove it altogether from the default install.

BTW is this application not obsolete?
Comment 6 Miloslav Trmač 2008-06-08 08:21:06 EDT
Matthias?  Please see comment #2.
Comment 7 Bill Nottingham 2008-10-23 15:02:09 EDT
Given that neither GNOME nor KDE works in this manner (editing fstab, etc), I think we should probably just remove this.
Comment 8 Bill Nottingham 2008-10-23 15:03:54 EDT
(Or, if nothing else, just remove the desktop file.)
Comment 9 Jóhann B. Guðmundsson 2008-11-05 05:32:20 EST
Yo just did a fresh F10Preview installation 
Final is around the corner!....

Make a decision either this is removed/hidden or stays like this.. 
and this bug is closed..
Comment 10 Miloslav Trmač 2008-11-05 05:43:00 EST
Matthias?  See comment #2, please.
Comment 11 Matthias Clasen 2008-11-05 09:56:00 EST
Nothing has changed. 
That bug was already asking to add NoDisplay=true to the desktop file 4 years ago...
Comment 12 Miloslav Trmač 2008-11-05 10:16:24 EST
I'm sorry, I have no idea why I referred to that bug.

Let me try again:  Why are you suggesting NoDisplay=true?  AFAICS a redhat-usermount.desktop with NoDisplay=true does not serve any purpose.  Why is NoDisplay=true better than OnlyShowIn=GNOME ?
Comment 13 Matthias Clasen 2008-11-05 10:20:03 EST
Presumably, kde doesn't want it in the menus either...
Anyway, in F11, I hope DeviceKit will make this discussion moot.
Comment 14 Bill Nottingham 2008-11-05 10:26:05 EST
(In reply to comment #12)
> Let me try again:  Why are you suggesting NoDisplay=true?  AFAICS a
> redhat-usermount.desktop with NoDisplay=true does not serve any purpose.  Why
> is NoDisplay=true better than OnlyShowIn=GNOME ?

We don't want it in GNOME as we have things run through HAL and gnome-mount.

Under what situations does this program actually work? It may be best to just not build/ship it.
Comment 15 Miloslav Trmač 2008-11-06 04:43:47 EST
Rawhide usermode-1.98.1-2 uses NotShowIn=GNOME;KDE; .

Note You need to log in before you can comment on or make changes to this bug.